#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;


const int maxn = 5000 + 10;
vector<vector<int>> dp(maxn, vector<int>(maxn, -1));

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cout.precision(15);
}
